# Generated by Django 3.1.5 on 2021-02-04 14:38

import apartments.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('latitude', models.FloatField(null=True)),
                ('longitude', models.FloatField(null=True)),
                ('town', models.CharField(max_length=50)),
                ('street', models.CharField(max_length=50)),
                ('house', models.CharField(max_length=6)),
                ('rating', models.FloatField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Apartment',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('price', models.CharField(max_length=20)),
                ('building_year', models.IntegerField(blank=True, null=True)),
                ('floor', models.IntegerField()),
                ('square', models.FloatField(blank=True, null=True)),
                ('rooms', models.IntegerField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                (
                    'bathroom',
                    models.CharField(blank=True, max_length=20, null=True),
                ),
                (
                    'sale_conditions',
                    models.CharField(blank=True, max_length=20, null=True),
                ),
                (
                    'created_at',
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                ('updated_at', models.DateTimeField(auto_now=True)),
                (
                    'address',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='apartments.address',
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='Photo',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'image',
                    models.ImageField(
                        upload_to=apartments.models.get_photo_url
                    ),
                ),
                (
                    'apartment',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='photos',
                        to='apartments.apartment',
                    ),
                ),
            ],
        ),
    ]
